Loading...
Searching...
No Matches
BpGraph::BlueNodeIt Class Reference

## Detailed Description

This iterator goes through each blue node of the graph. Its usage is quite simple, for example, you can count the number of blue nodes in a graph `g` of type `BpGraph` like this:

int count=0;
for (BpGraph::BlueNodeIt n(g); n!=INVALID; ++n) ++count;
lemon::INVALID
const Invalid INVALID
Invalid iterators.
Definition base.cc:32
lemon::concepts::BpGraph::BlueNodeIt
Iterator class for the blue nodes.
Definition bpgraph.h:233

`#include <lemon/concepts/bpgraph.h>`

Inheritance diagram for BpGraph::BlueNodeIt:
[legend]

## Public Member Functions

| BlueNodeIt ()
| Default constructor.
| BlueNodeIt (const BlueNodeIt &n)
| Copy constructor.
| BlueNodeIt (Invalid)
| Invalid constructor & conversion.
| BlueNodeIt (const BpGraph &)
| Sets the iterator to the first blue node.
| BlueNodeIt (const BpGraph &, const BlueNode &)
| Sets the iterator to the given blue node.
BlueNodeIt & | operator++ ()
| Next node.
Public Member Functions inherited from BpGraph::BlueNode
| BlueNode ()
| Default constructor.
| BlueNode (const BlueNode &)
| Copy constructor.
| BlueNode (Invalid)
| Invalid constructor & conversion.
Public Member Functions inherited from BpGraph::Node
| Node ()
| Default constructor.
| Node (const Node &)
| Copy constructor.
| Node (Invalid)
| Invalid constructor & conversion.
bool | operator== (Node) const
| Equality operator.
bool | operator!= (Node) const
| Inequality operator.
bool | operator< (Node) const
| Artificial ordering operator.

## Constructor & Destructor Documentation

## BlueNodeIt() [1/5]

BlueNodeIt | ( |  | ) |

inline

Default constructor.

Warning
  It sets the iterator to an undefined value.

## BlueNodeIt() [2/5]

BlueNodeIt | ( | const BlueNodeIt & | n | ) |

inline

Copy constructor.

## BlueNodeIt() [3/5]

BlueNodeIt | ( | Invalid |  | ) |

inline

Initializes the iterator to be invalid.

See also
  Invalid for more details.

## BlueNodeIt() [4/5]

BlueNodeIt | ( | const BpGraph & |  | ) |

inline explicit

Sets the iterator to the first blue node of the given digraph.

## BlueNodeIt() [5/5]

BlueNodeIt | ( | const BpGraph & | ,
|  | const BlueNode & | )

inline

Sets the iterator to the given blue node of the given digraph.

## Member Function Documentation

## operator++()

BlueNodeIt & operator++ | ( |  | ) |

inline

Assign the iterator to the next blue node.